# class Raven::Transports::Stdout

### Attributes

events[RW]

### Public Class Methods

new(*) click to toggle source
Calls superclass method `Raven::Transports::Transport::new`

    # File sentry-raven/lib/raven/transports/stdout.rb, line 6
    def initialize(*)
      super
    end

### Public Instance Methods

send_event(_auth_header, data, _options = {}) click to toggle source

    # File sentry-raven/lib/raven/transports/stdout.rb, line 10
    def send_event(_auth_header, data, _options = {})
      unless configuration.sending_allowed?
        logger.debug("Event not sent: #{configuration.error_messages}")
      end

      $stdout.puts data
      $stdout.flush
    end